#ifndef __FUNCS__
#define __FUNCS__

#include "common.h"

int tcp_connect(const char * hostname, const char *request);
int imdb_fetch_rating(char *url, char *ratingbuffer, char *server);
int exists(char *dir);
int is_nfo_file(char *file);
int imdb_cleanup();
int handle_file(char *file);
void do_file(char *file);
void do_dir(char *path);
void cleanup_dir(char *path);

int is_valid_response;

int sock, running, 
    isbusy, imdb_invalid_response;

#ifndef __MAIN__
  char initial[3]={99};
#endif

#define IS_IMDB_INVALID_RESPONSE 104
#define IS_IMDB_DOWN 116
#define IS_IMDB_INCOMPLETE 97

#endif
